<?php
require_once 'config.php';

$telegram_id = $_GET['tg_id'] ?? null;

if (!$telegram_id) die("Telegram ID required");

$plan = "Basic";
$amount = 10000;

$order_id = uniqid('order_');

$notes = [
    'telegram_id' => $telegram_id,
    'plan' => $plan
];

$data = [
    'amount' => $amount,
    'currency' => 'INR',
    'receipt' => $order_id,
    'payment_capture' => 1,
    'notes' => $notes
];

$ch = curl_init('https://api.razorpay.com/v1/orders');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_USERPWD => RAZORPAY_KEY_ID . ':' . RAZORPAY_KEY_SECRET,
    CURLOPT_POSTFIELDS => json_encode($data),
    CURLOPT_HTTPHEADER => ['Content-Type: application/json']
]);

$response = curl_exec($ch);
$order = json_decode($response, true);

if (isset($order['id'])) {
    echo "Pay here: https://rzp.io/i/" . $order['id'];
} else {
    echo "Error: " . $response;
}
